# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "rivescript"
version = "0.3.0"
build = "build.rs"
exclude = ["/tests"]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Implementation of a RiveScript chatbot interpreter for Rust."
homepage = "https://www.rivescript.com"
readme = "README.md"
keywords = [
    "chatbot",
    "rivescript",
]
categories = ["parser-implementations"]
license = "MIT"
repository = "https://github.com/aichaos/rivescript-rs"
resolver = "2"

[features]
default = []
javascript = ["dep:rivescript-js"]

[lib]
name = "rivescript"
path = "src/lib.rs"

[[bin]]
name = "rivescript"
path = "src/main.rs"

[dependencies.async-recursion]
version = "1.1.1"

[dependencies.async-trait]
version = "0.1.89"

[dependencies.env_logger]
version = "0.10.0"

[dependencies.futures]
version = "0.3.32"

[dependencies.itertools]
version = "0.10.5"

[dependencies.lazy_static]
version = "1.4.0"

[dependencies.log]
version = "0.4.17"

[dependencies.rand]
version = "0.10.1"

[dependencies.regex]
version = "1.7.1"

[dependencies.rivescript-core]
version = "0.3.0"

[dependencies.rivescript-js]
version = "0.2.0"
optional = true

[dependencies.shell-words]
version = "1.1.1"

[dependencies.structopt]
version = "0.3.26"

[dependencies.tokio]
version = "1.52.1"
features = ["full"]

[dev-dependencies.serde]
version = "1.0.228"
features = ["derive"]

[dev-dependencies.serde_yaml]
version = "0.9.34"

[dev-dependencies.walkdir]
version = "2.5.0"
